Package bitel.billing.server.admin.resource.bean

# Class ResourceCategory<T>

java.lang.Object
bitel.billing.server.admin.resource.bean.ResourceCategory<T>

Direct Known Subclasses:
  `IPResourceCategory`, `NumberResourceCategory`

public class ResourceCategory<T> extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `comment`
  `protected int`
  `id`
  `protected int`
  `parentId`
  `protected List<T>`
  `subCategories`
  `protected String`
  `title`
  `protected int`
  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceCategory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `int`
  `getId()`
  `int`
  `getParentId()`
  `List<T>`
  `getSubCategories()`
  `String`
  `getTitle()`
  `int`
  `getType()`
  `void`
  `setComment(String comment)`
  `void`
  `setId(int id)`
  `void`
  `setParentId(int parentId)`
  `void`
  `setSubCategories(List<T> subCategories)`
  `void`
  `setTitle(String title)`
  `void`
  `setType(int type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### id

    protected int id

  - ### type

    protected int type

  - ### parentId

    protected int parentId

  - ### title

    protected String title

  - ### comment

    protected String comment

  - ### subCategories

    protected List<T> subCategories

- ## Constructor Details

  - ### ResourceCategory

    public ResourceCategory()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getSubCategories

    public List<T> getSubCategories()

  - ### setSubCategories

    public void setSubCategories(List<T> subCategories)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getType

    public int getType()

  - ### setType

    public void setType(int type)

  - ### getParentId

    public int getParentId()

  - ### setParentId

    public void setParentId(int parentId)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)